std::identity Struct Reference

`#include <ranges_cmp.h>`

## Public Types

using | is_transparent

## Static Public Member Functions

template<typename _Tp>
static constexpr _Tp && | operator() (_Tp &&__t) noexcept

## Detailed Description

[func.identity] The identity function.

Definition at line 47 of file ranges_cmp.h.

## Member Typedef Documentation

## is_transparent

using std::identity::is_transparent

Definition at line 58 of file ranges_cmp.h.

## Member Function Documentation

## operator()()

template<typename _Tp>

constexpr _Tp && std::identity::operator() | ( | _Tp && | __t | ) |

inline static nodiscard constexpr noexcept

Definition at line 54 of file ranges_cmp.h.

The documentation for this struct was generated from the following file:

- ranges_cmp.h